classification
Title: Remove site-python support
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ned.deily, pitrou, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2014-06-10 23:44 by pitrou, last changed 2014-06-12 23:42 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
sitepython.patch pitrou, 2014-06-10 23:44 review
Messages (5)
msg220214 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-06-10 23:44
Support for "site-python" directories in site.py was deprecated in 3.4 and slated for removal in 3.5. Attached patch does the remove.
msg220217 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-06-11 00:13
The patch has one problem with OS X framework builds.  This fixes it:

--- a/Lib/test/test_site.py
+++ b/Lib/test/test_site.py
@@ -240,7 +240,7 @@
                                   sysconfig.get_config_var("PYTHONFRAMEWORK"),
                                   sys.version[:3],
                                   'site-packages')
-            self.assertEqual(dirs[2], wanted)
+            self.assertEqual(dirs[1], wanted)
         elif os.sep == '/':
             # OS X non-framwework builds, Linux, FreeBSD, etc
             self.assertEqual(len(dirs), 1)

Otherwise, LGTM
msg220290 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-06-11 17:45
Thanks Ned, I'm hoping someone can give it a run under Windows too :)
msg220294 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-06-11 18:27
Seems fine on Windows (especially since it doesn't look like site-python ever meant anything on Windows in the first place)!
msg220398 - (view) Author: Roundup Robot (python-dev) Date: 2014-06-12 23:41
New changeset 3852afce2ca3 by Antoine Pitrou in branch 'default':
Issue #21711: support for "site-python" directories has now been removed from the site module (it was deprecated in 3.4).
http://hg.python.org/cpython/rev/3852afce2ca3
History
Date User Action Args
2014-06-12 23:42:03pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-06-12 23:41:43python-devsetnosy: + python-dev
messages: + msg220398
2014-06-11 18:27:22zach.waresetmessages: + msg220294
2014-06-11 17:45:40pitrousetnosy: + tim.golden, zach.ware, steve.dower
messages: + msg220290
2014-06-11 00:13:11ned.deilysetnosy: + ned.deily
messages: + msg220217
2014-06-10 23:44:40pitroucreate